curl $UPSTASH_VECTOR_REST_URL/info \
-H "Authorization: Bearer $UPSTASH_VECTOR_REST_TOKEN"
{
"result": {
"vectorCount": 7,
"pendingVectorCount": 0,
"indexSize": 43501,
"dimension": 1024,
"similarityFunction": "COSINE",
"indexType": "HYBRID",
"denseIndex": {
"dimension": 1024,
"similarityFunction": "COSINE",
"embeddingModel": "BGE_M3"
},
"sparseIndex": {
"embeddingModel": "BM25"
},
"namespaces": {
"": {
"vectorCount": 6,
"pendingVectorCount": 0
},
"ns": {
"vectorCount": 1,
"pendingVectorCount": 0
}
}
}
}
Endpoints
Index Info
Returns some information about the index.
GET
/
info
curl $UPSTASH_VECTOR_REST_URL/info \
-H "Authorization: Bearer $UPSTASH_VECTOR_REST_TOKEN"
{
"result": {
"vectorCount": 7,
"pendingVectorCount": 0,
"indexSize": 43501,
"dimension": 1024,
"similarityFunction": "COSINE",
"indexType": "HYBRID",
"denseIndex": {
"dimension": 1024,
"similarityFunction": "COSINE",
"embeddingModel": "BGE_M3"
},
"sparseIndex": {
"embeddingModel": "BM25"
},
"namespaces": {
"": {
"vectorCount": 6,
"pendingVectorCount": 0
},
"ns": {
"vectorCount": 1,
"pendingVectorCount": 0
}
}
}
}
Info will be updated eventually, so it might take some time to see the effect of changes in this endpoint.
Request
This request doesn’t require any additional data.Response
number
required
The number of vectors in the index, that are ready to use. This is the total
number of vectors across all namespaces.
number
required
The number of vectors in the index, that are still processing and not ready to
use. This is the total number of pending vectors across all namespaces.
number
required
The total size of the index, in bytes.
number
required
Dimension of the vectors.
string
required
Name of the similarity function used in indexing and queries.
string
required
Type of the index. Possible values:
"DENSE", "SPARSE", "HYBRID"object
Information about the dense vector index configuration.
object
Information about the sparse vector index configuration.
Show child attributes
Show child attributes
string
required
Name of the embedding model used for sparse vectors.
object
required
Map of namespace names to namespace .
Every index has at least one namespace called default namespace, whose name is the empty string
"".curl $UPSTASH_VECTOR_REST_URL/info \
-H "Authorization: Bearer $UPSTASH_VECTOR_REST_TOKEN"
{
"result": {
"vectorCount": 7,
"pendingVectorCount": 0,
"indexSize": 43501,
"dimension": 1024,
"similarityFunction": "COSINE",
"indexType": "HYBRID",
"denseIndex": {
"dimension": 1024,
"similarityFunction": "COSINE",
"embeddingModel": "BGE_M3"
},
"sparseIndex": {
"embeddingModel": "BM25"
},
"namespaces": {
"": {
"vectorCount": 6,
"pendingVectorCount": 0
},
"ns": {
"vectorCount": 1,
"pendingVectorCount": 0
}
}
}
}
Was this page helpful?